> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/open-save-document.md).

# Open/Save Document

- [Basic document operations](https://docs.apryse.com/web/open-save-document/basics.md): Discover essential document operations for web. Learn how to open and save documents efficiently. Elevate your productivity with these basic tips. The Apryse Web SDK streamlines secure, serverless doc
- [Open and Load PDFs and Documents Using JavaScript](https://docs.apryse.com/web/open-save-document/open.md): Learn how to efficiently open a document in WebViewer from a URL, blob, filesystem, or base64 data. Utilize loading options like initialDoc and loadDocument API for seamless file access. Enhance your
- [Open and Load Blob Format Documents Using JavaScript](https://docs.apryse.com/web/open-save-document/open/blob.md): Easily open blob format documents in WebViewer. The Apryse Web SDK streamlines secure, serverless document processing with robust support for JavaScript and TypeScript, and seamlessly integrates with
- [Open a document from ArrayBuffer](https://docs.apryse.com/web/open-save-document/open/arraybuffer.md): Efficiently open a document in WebViewer from ArrayBuffer using the blob format. The Apryse Web SDK streamlines secure, serverless document processing with robust support for JavaScript and TypeScript
- [Open a document from file system](https://docs.apryse.com/web/open-save-document/open/filesystem.md): Easilty open a document from the file system with WebViewer. The Apryse Web SDK streamlines secure, serverless document processing with robust support for JavaScript and TypeScript, and seamlessly int
- [Open a document by URL](https://docs.apryse.com/web/open-save-document/open/url.md): Efficiently open a document in WebViewer from a URL. The Apryse Web SDK streamlines secure, serverless document processing with robust support for JavaScript and TypeScript, and seamlessly integrates
- [Open a document from Base64](https://docs.apryse.com/web/open-save-document/open/base64.md): Efficiently open a base64 string document in WebViewer. The Apryse Web SDK streamlines secure, serverless document processing with robust support for JavaScript and TypeScript, and seamlessly integrat
- [Save a Document with JavaScript](https://docs.apryse.com/web/open-save-document/save.md): Learn how to save a document with JavaScript. Explore methods like triggering downloads, saving locally, or storing on servers. Discover WebViewer APIs for seamless implementation. The Apryse Web SDK
- [JavaScript sample for document operation](https://docs.apryse.com/web/open-save-document/samples.md): Learn how to call the WebViewer constructor to load and instantiate documents. Easily access and view local or remote files of your choice with this helpful guide. The Apryse Web SDK streamlines secur
- [API for document operations in WebViewer](https://docs.apryse.com/web/open-save-document/apis.md): Discover the powerful API for document operations in WebViewer. Annotate, view, and edit documents seamlessly with this pure JavaScript library inside all major browsers. Unlock a range of tools and c


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/web/open-save-document.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
